#
# spec file for package perl-MP3-Info (Version 1.23)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           perl-MP3-Info
Version:        1.23
Release:        1.3
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://search.cpan.org/dist/MP3-Info
Summary:        MP3::Info - Manipulate / fetch info from MP3 audio files
Source:         http://search.cpan.org/CPAN/authors/id/D/DA/DANIEL/MP3-Info-1.23.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
A pure-Perl module for getting and setting ID3 tags, and getting other
information (bitrate, length, etc.), for MP3 files.



Authors:
--------
    Chris Nandor <pudge@pobox.com>
    Dan Sully <daniel@cpan.org>

%prep
%setup -q -n MP3-Info-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/MP3
%{perl_vendorlib}/MP3

%changelog
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sat Aug 11 2007 tsieden@suse.de
-  update to release 1.23
  * Handle all tags with NULL delimited lists - Patch from Justin Fletcher <gerph (at) gerph.org>
  * Fix MP3::Info for tag reading in AIF (and WAV, presumably) - kdf
  * Read RVA2 (signed short) in big-endian order - andyg
* Fri Mar 30 2007 tsieden@suse.de
-  update to release 1.22
  * Backwards compatibility for Apache::MP3 & others not expecting array refs.
  * Use Encode::Detect if available.
  * Parse Xing, Lame & Lyrics headers.
  * Big patch from Justin Fletcher for proper ID3v2.4 frame parsing.
  * Fix for ID3v2.2 frames in a v2.3 header - iTunes stupidity. - dsully
  * Allow multiple null separated "name" TCON values per the v2.4 spec.
  * New maintainer & Sponsor:
  * Read ReplayGain Information in:
  - RVA, RVAD and RVA2 tags.
  - COMM tags via J.River Media Center
  - PRIV tags via Windows Media Player
  * Unicode / Encode optimizations to only guess if the string isn't ascii.
  * Proper numeric genre decoding, now in tune with the ID3 spec.
  * Parse and return PIC & APIC data.
  * Handle multiple COMM and TCON tags.
  * Parse APE tags that are in the ID3v1 header space.
  * Parse USLT - Lyrics tags, used by iTunes.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Apr 13 2005 tsieden@suse.de
- initial release 1.13
